Bulk update reconciliation journal entry status
curl --request PUT \
--url https://api.sandbox.teal.dev/v0/bulk/reconciliations/{reconciliation_id}/journal-entries \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'teal-instance-id: <teal-instance-id>' \
--data '
[
{
"journal_entry_id": "<string>"
}
]
'import requests
url = "https://api.sandbox.teal.dev/v0/bulk/reconciliations/{reconciliation_id}/journal-entries"
payload = [{ "journal_entry_id": "<string>" }]
headers = {
"teal-instance-id": "<teal-instance-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {
'teal-instance-id': '<teal-instance-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify([{journal_entry_id: '<string>'}])
};
fetch('https://api.sandbox.teal.dev/v0/bulk/reconciliations/{reconciliation_id}/journal-entries', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"reconciliation_journal_entry": {
"id": "<string>",
"description": "<string>",
"datetime": "2023-11-07T05:31:56Z",
"creation_date": "2023-11-07T05:31:56Z",
"is_opening_balance": true,
"line_entry_ids": [
"XMDsKVuW4Wmi3LTW31Qw6E",
"NULcvXTkLczde32qs1rqgB"
],
"linked_entity": null,
"line_entries": [
{
"amount": 31282.28,
"categorization_status": "completed",
"datetime": "2023-02-15T06:42:18Z",
"debit_credit": "debit",
"description": "Payroll#230215",
"editable": false,
"id": "XMDsKVuW4Wmi3LTW31Qw6E",
"journal_entry_description": "Payroll#230215",
"journal_entry_id": "C4ocnUQze8kDwQ3EczkZXn",
"ledger_id": "7JRNsKwy2Lw66caxVU7WGC",
"ledger_name": "Pluto Checking 4242",
"sort_order": 1,
"tags": [],
"transaction_id": "txn_UjL3BQnEaJtecuC7CUeDk"
},
{
"amount": 31282.28,
"categorization_status": "completed",
"datetime": "2023-02-15T06:42:18Z",
"debit_credit": "credit",
"description": "Payroll#230215",
"editable": false,
"id": "NULcvXTkLczde32qs1rqgB",
"journal_entry_description": "Payroll#230215",
"journal_entry_id": "C4ocnUQze8kDwQ3EczkZXn",
"ledger_id": "HLn8oy2eqMUCwjp1Cwdgco",
"ledger_name": "Payroll Expense",
"sort_order": 2,
"tags": []
}
],
"accrual_source": {
"id": "<string>",
"instance_id": "<string>",
"reference_number": "<string>",
"effective_date": "2023-12-25",
"gross_amount": 123,
"amount_paid": 123,
"amount_adjusted": 123,
"amount_outstanding": 123,
"external_id": "<string>",
"external_party_id": "<string>",
"due_date": "2023-12-25",
"notes": "<string>",
"service_period_start": "2023-12-25",
"service_period_end": "2023-12-25",
"lines": [
{
"id": "<string>",
"accrual_source_id": "<string>",
"account_id": "<string>",
"line_number": 123,
"description": "<string>",
"amount": 123,
"external_id": "<string>"
}
],
"journal_entry_ids": [],
"files": [
{
"id": "<string>",
"file_name": "<string>"
}
],
"payment_applications": [
{
"payment_application_id": "<string>",
"matched_amount": 123,
"line_entry": {
"line_entry_id": "<string>",
"line_entry_description": "<string>",
"line_entry_amount": 123,
"journal_entry_id": "<string>",
"journal_entry_description": "<string>"
},
"adjustments": [
{
"accrual_adjustment_id": "<string>",
"debit_account_id": "<string>",
"credit_account_id": "<string>",
"amount": 123
}
]
}
]
},
"transfer": {
"id": "<string>",
"from_entry": {
"journal_entry_id": "<string>",
"description": "<string>",
"datetime": "2023-11-07T05:31:56Z",
"line_entries": [
{
"amount": 123,
"ledger_id": "<string>",
"id": "XMDsKVuW4Wmi3LTW31Qw6E",
"datetime": "2023-11-07T05:31:56Z",
"editable": true,
"journal_entry_id": "C4ocnUQze8kDwQ3EczkZXn",
"journal_entry_description": "<string>",
"ledger_name": "<string>",
"description": "Payroll#230215",
"related_line_entry_id": "<string>",
"transaction_id": "<string>",
"sort_order": 1,
"journal_entry": null,
"ledger": null,
"opposing_ledger_ids": [
"<string>"
],
"tags": [
{
"id": "<string>",
"name": "<string>",
"tag_group_id": "<string>"
}
],
"transaction": null,
"payment_applications": [
{
"payment_application_id": "<string>",
"matched_amount": 123,
"accrual_source": {
"accrual_source_id": "<string>",
"external_id": "<string>",
"external_party_id": "<string>",
"reference_number": "<string>",
"effective_date": "2023-12-25",
"gross_amount": 123
},
"adjustments": [
{
"accrual_adjustment_id": "<string>",
"debit_account_id": "<string>",
"credit_account_id": "<string>",
"amount": 123
}
]
}
],
"line_payment_applications": [
{
"line_payment_application_id": "<string>",
"matched_amount": 123,
"accrual_source": {
"accrual_source_id": "<string>",
"type": "payroll",
"start_date": "2023-12-25",
"end_date": "2023-12-25"
}
}
],
"accrual_source": {
"id": "<string>",
"instance_id": "<string>",
"reference_number": "<string>",
"effective_date": "2023-12-25",
"gross_amount": 123,
"amount_paid": 123,
"amount_adjusted": 123,
"amount_outstanding": 123,
"external_id": "<string>",
"external_party_id": "<string>",
"due_date": "2023-12-25",
"notes": "<string>",
"service_period_start": "2023-12-25",
"service_period_end": "2023-12-25",
"lines": [
{
"id": "<string>",
"accrual_source_id": "<string>",
"account_id": "<string>",
"line_number": 123,
"description": "<string>",
"amount": 123,
"external_id": "<string>"
}
]
}
}
]
},
"to_entry": {
"journal_entry_id": "<string>",
"description": "<string>",
"datetime": "2023-11-07T05:31:56Z",
"line_entries": [
{
"amount": 123,
"ledger_id": "<string>",
"id": "XMDsKVuW4Wmi3LTW31Qw6E",
"datetime": "2023-11-07T05:31:56Z",
"editable": true,
"journal_entry_id": "C4ocnUQze8kDwQ3EczkZXn",
"journal_entry_description": "<string>",
"ledger_name": "<string>",
"description": "Payroll#230215",
"related_line_entry_id": "<string>",
"transaction_id": "<string>",
"sort_order": 1,
"journal_entry": null,
"ledger": null,
"opposing_ledger_ids": [
"<string>"
],
"tags": [
{
"id": "<string>",
"name": "<string>",
"tag_group_id": "<string>"
}
],
"transaction": null,
"payment_applications": [
{
"payment_application_id": "<string>",
"matched_amount": 123,
"accrual_source": {
"accrual_source_id": "<string>",
"external_id": "<string>",
"external_party_id": "<string>",
"reference_number": "<string>",
"effective_date": "2023-12-25",
"gross_amount": 123
},
"adjustments": [
{
"accrual_adjustment_id": "<string>",
"debit_account_id": "<string>",
"credit_account_id": "<string>",
"amount": 123
}
]
}
],
"line_payment_applications": [
{
"line_payment_application_id": "<string>",
"matched_amount": 123,
"accrual_source": {
"accrual_source_id": "<string>",
"type": "payroll",
"start_date": "2023-12-25",
"end_date": "2023-12-25"
}
}
],
"accrual_source": {
"id": "<string>",
"instance_id": "<string>",
"reference_number": "<string>",
"effective_date": "2023-12-25",
"gross_amount": 123,
"amount_paid": 123,
"amount_adjusted": 123,
"amount_outstanding": 123,
"external_id": "<string>",
"external_party_id": "<string>",
"due_date": "2023-12-25",
"notes": "<string>",
"service_period_start": "2023-12-25",
"service_period_end": "2023-12-25",
"lines": [
{
"id": "<string>",
"accrual_source_id": "<string>",
"account_id": "<string>",
"line_number": 123,
"description": "<string>",
"amount": 123,
"external_id": "<string>"
}
]
}
}
]
}
},
"autocat_result": {
"id": "<string>",
"ledger_id": "<string>",
"confidence": 123,
"created_at": "2023-11-07T05:31:56Z",
"rule_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"reconciliation_id": "FYQxHfWNCMnUuXr6iQhjgG",
"original_reconciliation_id": "FYQxHfWNCMnUuXr6iQhjgG"
},
"error": "<string>"
}
]{
"message": "<string>",
"data": "<unknown>",
"display_message": "<string>"
}{
"message": "<string>",
"data": "<unknown>",
"display_message": "<string>"
}{
"message": "<string>",
"data": "<unknown>",
"display_message": "<string>"
}{
"message": "<string>",
"data": "<unknown>",
"display_message": "<string>"
}Reconciliations
Bulk update reconciliation journal entry status
Bulk update reconciliation journal entry status.
PUT
/
v0
/
bulk
/
reconciliations
/
{reconciliation_id}
/
journal-entries
Bulk update reconciliation journal entry status
Authorizations
Bearer authentication header of the form Bearer , where is your auth token.
Headers
The Teal instance ID
An optional identifier for audit logging.
Path Parameters
The reconciliation ID
Body
application/json
⌘I